# Generated by Django 5.0.8 on 2024-12-11 23:30

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


def create_application_quota_requests(apps, schema_editor):
    ApplicationQuotaRequest = apps.get_model('normal_users', 'ApplicationQuotaRequest')
    Application = apps.get_model('normal_users', 'Application')
    for app in Application.objects.all():
        ApplicationQuotaRequest.objects.create(application=app)

class Migration(migrations.Migration):

    dependencies = [
        ('normal_users', '0019_applicationquota'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ApplicationQuotaRequest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('replicas', models.IntegerField(default=1)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('application', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='normal_users.application')),
                ('submitted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'applicationquotarequest',
                'ordering': ['application'],
            },
        ),
        migrations.RunPython(create_application_quota_requests),
    ]
